clang 10.0.0git

List of all members
clang::DeclVisitor< ImplClass, RetTy > Class Template Reference

A simple visitor class that helps create declaration visitors. More...

`#include "clang/AST/DeclVisitor.h"`

Inheritance diagram for clang::DeclVisitor< ImplClass, RetTy >:
[legend]
Collaboration diagram for clang::DeclVisitor< ImplClass, RetTy >:
[legend]

## Additional Inherited Members
Public Member Functions inherited from clang::declvisitor::Base< std::add_pointer, ImplClass, RetTy >
RetTy | Visit (PTR(Decl) D)
RetTy | VisitDecl (PTR(Decl) D)

## Detailed Description

### template<typename ImplClass, typename RetTy = void>
class clang::DeclVisitor< ImplClass, RetTy >

A simple visitor class that helps create declaration visitors.

This class does not preserve constness of Decl pointers (see also ConstDeclVisitor).

Definition at line 66 of file DeclVisitor.h.

The documentation for this class was generated from the following file:

- include/clang/AST/DeclVisitor.h